package view;

import javafx.scene.paint.Color;
import javafx.scene.shape.Polygon;
import model.Tile;

/**
 * Class that makes the association between a tile from the model and its representation
 */
public class TileView
{
	private Polygon fxTile;
	private Tile modelTile;

	public TileView(Polygon fxTile, Tile modelTile)
	{
		this.fxTile = fxTile;
		this.modelTile = modelTile;
	}

	/**
	 * Tell the view to update according to the model
	 */
	public void updateFromModel()
	{
		//TODO: Better tile representation
		//FISH NUMBER
		switch (modelTile.getNbFish())
		{
			case 0:
				fxTile.setFill(Color.LIGHTBLUE);
				break;
			case 1:
				fxTile.setFill(Color.GREENYELLOW);
				break;
			case 2:
				fxTile.setFill(Color.GREEN);
				break;
			case 3:
				fxTile.setFill(Color.DARKGREEN);
				break;
		}
		//PENGUIN
		if (modelTile.getPenguinPresence().equals(Tile.PenguinPresence.RED_PENGUIN))
			fxTile.setFill(Color.RED);
		else if (modelTile.getPenguinPresence().equals(Tile.PenguinPresence.BLUE_PENGUIN))
			fxTile.setFill(Color.BLUE);

	}
}
